XmAddWMProtocolCallback(library call)

NAME
XmAddWMProtocolCallback — A VendorShell convenience interface that adds client callbacks for a protocol

SYNOPSIS

#include <Xm/Protocols.h>
void XmAddWMProtocolCallback(
Widget shell,
Atom protocol,
XtCallbackProc callback,
XtPointer closure);

DESCRIPTION

XmAddWMProtocolCallback is a convenience interface. It calls XmAddProtocolCallback with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated

protocol
    Specifies the protocol Atom

callback
    Specifies the procedure to call when a protocol message is received

closure
    Specifies the client data to be passed to the callback when it is invoked

For a complete definition of VendorShell and its associated resources, see VendorShell(3).

RELATED

VendorShell(3), XmAddProtocolCallback(3), XmInternAtom(3), and XmRemoveWMProtocolCallback(3).